## EHeaderBar EHeaderBar |

## Functions

GtkWidget * | e_header_bar_new ()
void | e_header_bar_pack_start ()
void | e_header_bar_pack_end ()
void | e_header_bar_remove_all ()
GList * | e_header_bar_get_start_widgets ()
GList * | e_header_bar_get_end_widgets ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkHeaderBar
                        ╰── EHeaderBar

## Description

## Functions

### e_header_bar_new ()

    GtkWidget *
    e_header_bar_new (void);

Creates a new EHeaderBar

#### Returns

a new EHeaderBar.

[transfer full]

Since: 3.48

### e_header_bar_pack_start ()

    void
    e_header_bar_pack_start (EHeaderBar *self,
                             GtkWidget *widget,
                             guint label_priority);

Adds child to bar, packed with reference to the start of the bar.

The `label_priority` is to set for the `widget` , if it's an EHeaderBarButton, priority to show a label on the button, when such is set. The lower number the priority is, the sooner the label will be shown.

#### Parameters

self | an EHeaderBar |
widget | widget to pack |
label_priority | priority to show a label |

Since: 3.48

### e_header_bar_pack_end ()

    void
    e_header_bar_pack_end (EHeaderBar *self,
                           GtkWidget *widget,
                           guint label_priority);

Adds child to bar, packed with reference to the end of the bar.

The `label_priority` is to set for the `widget` , if it's an EHeaderBarButton, priority to show a label on the button, when such is set. The lower number the priority is, the sooner the label will be shown.

#### Parameters

self | an EHeaderBar |
widget | widget to pack |
label_priority | priority to show a label |

Since: 3.48

### e_header_bar_remove_all ()

    void
    e_header_bar_remove_all (EHeaderBar *self);

Removes all children of the `self` added by `e_header_bar_pack_start()` and `e_header_bar_pack_end()`.

#### Parameters

self | an EHeaderBar |

Since: 3.56

### e_header_bar_get_start_widgets ()

    GList *
    e_header_bar_get_start_widgets (EHeaderBar *self);

Returns widgets packed at the start. Free the list with `g_list_free()`, when no longer needed.

#### Parameters

self | an EHeaderBar |

#### Returns

widgets packed at the start.

[transfer container]

Since: 3.48

### e_header_bar_get_end_widgets ()

    GList *
    e_header_bar_get_end_widgets (EHeaderBar *self);

Returns widgets packed at the end. Free the list with `g_list_free()`, when no longer needed.

#### Parameters

self | an EHeaderBar |

#### Returns

widgets packed at the end.

[transfer container]

Since: 3.48